const HocFactory = (WrappedComponent) => {
	return class Hoc extends React.Component {
		constructor(props) {
			super(props);
		}

		render() {
			let style = {
				width: '46%',
				marginLeft: '26%',
				marginTop: 30,
			}

			return <WrappedComponent ecId={`${this && this.props && this.props.ecId || ''}_WrappedComponent@2ohu48`} {...this.props} wholeFormStyle={style}/>
		}
	}
}

export {
	HocFactory
}